Bug 581280 - Review Request: erlang-oauth - An Erlang OAuth implementation
Summary: Review Request: erlang-oauth - An Erlang OAuth implementation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 581283
TreeView+ depends on / blocked
 
Reported: 2010-04-11 14:05 UTC by Peter Lemenkov
Modified: 2010-06-14 21:54 UTC (History)
3 users (show)

Fixed In Version: erlang-oauth-0-0.4.gite8aecf0.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-01 18:12:36 UTC
tcallawa: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Peter Lemenkov 2010-04-11 14:05:29 UTC
Spec URL: http://peter.fedorapeople.org/erlang-oauth.spec
SRPM URL: http://peter.fedorapeople.org/erlang-oauth-0-0.1.gite8aecf0.fc12.src.rpm
Description: An Erlang OAuth implementation.

This library is bundled with CouchDB.

Comment 1 Peter Lemenkov 2010-05-12 13:18:28 UTC
Koji scratchbuild:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2182797

rpmlint:

Sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-oauth-0-0.1.gite8aecf0.fc12.ppc.rpm 
erlang-oauth.ppc: E: no-binary
erlang-oauth.ppc: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
Sulaco ~/rpmbuild/SPECS: 

Both messages *must* be ignored - in fact, application contains only noarch-data, but installed into arch-specific %{_libdir}. Unlike python stuff being divided into noarch and arch-dependent, every erlang package should be installed into %{libdir}/erlang which makes every erlang package arch-dependent.

Comment 2 Tom "spot" Callaway 2010-05-12 14:33:37 UTC
A few items before I review this:

(There are no erlang packaging guidelines that I'm aware of, so some of what I'm asking might be stuff that belongs in erlang packaging guidelines)

* Why are you disabling debuginfo?
* With the erlang split, is BuildRequires: erlang really appropriate? What about Requires: erlang? If possible, this should be limited to the required erlang subpackages only.

* The license is not BSD, it is MIT. Also, the source code contains no license attribution, you should ask upstream to add it.

* It is not necessary to set BuildRoot or delete it during %install anymore, see https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag (EPEL 4 and 5 still require it, but if you're not planning on building for those targets, you can remove these lines)

Comment 3 Peter Lemenkov 2010-05-12 14:54:15 UTC
(In reply to comment #2)

> * Why are you disabling debuginfo?

I switched it off just to be sure that no bogus empty *-debuginfo subpackage will be produced. I just checked and it seems that I don't need to explicitly disable it. 

> * With the erlang split, is BuildRequires: erlang really appropriate? What
> about Requires: erlang? If possible, this should be limited to the required
> erlang subpackages only.

Yes, definitely. I will try to build exact list of dependencies for this (and other) package(s). However, automatic dependency generator for Erlang provides too much data => I had to disable it in Fedora until we find more suitable solution => it will costs me few hours to create list of dependencies.
 
> * The license is not BSD, it is MIT.

Ok, fixed.

> Also, the source code contains no license
> attribution, you should ask upstream to add it.

Ok, I will ask. Hope that this is not a blocker.

> * It is not necessary to set BuildRoot or delete it during %install anymore,
> see https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag (EPEL 4
> and 5 still require it, but if you're not planning on building for those
> targets, you can remove these lines)    

Yes - I plan to push it to EPEL as well, so I need to keep some obsoleted packaging stuff.

I will provide updated package very soon.

Comment 4 Tom "spot" Callaway 2010-05-12 15:04:34 UTC
Okay, so the proper per-file licensing is not a blocker, just please try to get upstream to do it.

Show me a new package that has the proper dependencies (you don't have to get the automatic dependency generator working here, just hardcode the correct minimum dependencies) and doesn't disable the debuginfo and I'll finish out the review.

Comment 5 Peter Lemenkov 2010-05-13 09:06:52 UTC
*Almost* done:

http://peter.fedorapeople.org/erlang-oauth.spec
http://peter.fedorapeople.org/erlang-oauth-0-0.2.gite8aecf0.fc12.src.rpm

Unfortunately I was wrong previously - I can't remove "%global debug_package %{nil}" because it does produces empty *-debuginfo w/o this line.

Comment 6 Tom "spot" Callaway 2010-05-13 13:52:05 UTC
Ah, okay. So that is definitely something we should write up as Packaging Guidelines for erlang (or, if possible, fix so that there is useful debuginfo).

=== REVIEW ===

Good:

- rpmlint checks return:
erlang-oauth.src: W: invalid-url Source0: erlang-oauth-0.gite8aecf0.tar.bz2
erlang-oauth.x86_64: E: explicit-lib-dependency erlang-stdlib
erlang-oauth.x86_64: E: no-binary
erlang-oauth.x86_64: W: only-non-binary-in-usr-lib

All are safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (MIT) OK, text in %doc, source is missing license attribution, but upstream has been notified
- spec file legible, in am. english
- source matches upstream (can't do tarball comparison because it is generated from git, but diff of checkout and source matches)
- package compiles on F-13 (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

This is APPROVED.

One extremely minor suggestion: In the comments on how to make the source tarball from the git repo, you reference "%{git_commit}", but you don't actually define it in the spec anywhere. It would be nice if you would do that, or at least, remove it from the comments so it doesn't confuse anyone.

P.S. I'd love a review on 566560.

Comment 7 Peter Lemenkov 2010-05-13 14:26:45 UTC
Thanks!

Comment 8 Peter Lemenkov 2010-05-13 14:31:35 UTC
New Package CVS Request
=======================
Package Name: erlang-oauth
Short Description: An Erlang OAuth implementation
Owners: peter
Branches: F-11 F-12 F-13 EL-6 EL-5 EL-4
InitialCC:

Comment 9 Dennis Gilmore 2010-05-13 22:31:36 UTC
CVS Done

Comment 10 Fedora Update System 2010-05-27 12:09:01 UTC
couchdb-0.10.2-4.fc11,erlang-oauth-0-0.3.gite8aecf0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/couchdb-0.10.2-4.fc11,erlang-oauth-0-0.3.gite8aecf0.fc11

Comment 11 Fedora Update System 2010-05-27 12:09:11 UTC
couchdb-0.10.2-4.fc12,erlang-oauth-0-0.3.gite8aecf0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/couchdb-0.10.2-4.fc12,erlang-oauth-0-0.3.gite8aecf0.fc12

Comment 12 Fedora Update System 2010-05-27 12:09:20 UTC
couchdb-0.10.2-4.el5,erlang-oauth-0-0.3.gite8aecf0.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/couchdb-0.10.2-4.el5,erlang-oauth-0-0.3.gite8aecf0.el5

Comment 13 Fedora Update System 2010-05-27 12:09:28 UTC
couchdb-0.10.2-4.fc13,erlang-oauth-0-0.3.gite8aecf0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/couchdb-0.10.2-4.fc13,erlang-oauth-0-0.3.gite8aecf0.fc13

Comment 14 Fedora Update System 2010-05-27 18:29:44 UTC
couchdb-0.10.2-4.fc12, erlang-oauth-0-0.3.gite8aecf0.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update couchdb erlang-oauth'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/couchdb-0.10.2-4.fc12,erlang-oauth-0-0.3.gite8aecf0.fc12

Comment 15 Fedora Update System 2010-05-27 18:33:40 UTC
couchdb-0.10.2-4.fc11, erlang-oauth-0-0.3.gite8aecf0.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update couchdb erlang-oauth'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/couchdb-0.10.2-4.fc11,erlang-oauth-0-0.3.gite8aecf0.fc11

Comment 16 Fedora Update System 2010-05-27 18:34:11 UTC
couchdb-0.10.2-4.fc13, erlang-oauth-0-0.3.gite8aecf0.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update couchdb erlang-oauth'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/couchdb-0.10.2-4.fc13,erlang-oauth-0-0.3.gite8aecf0.fc13

Comment 17 Fedora Update System 2010-05-28 06:58:43 UTC
erlang-oauth-0-0.4.gite8aecf0.fc12,couchdb-0.10.2-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/erlang-oauth-0-0.4.gite8aecf0.fc12,couchdb-0.10.2-4.fc12

Comment 18 Fedora Update System 2010-05-28 06:58:57 UTC
erlang-oauth-0-0.4.gite8aecf0.fc11,couchdb-0.10.2-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/erlang-oauth-0-0.4.gite8aecf0.fc11,couchdb-0.10.2-4.fc11

Comment 19 Fedora Update System 2010-05-28 06:59:09 UTC
erlang-oauth-0-0.4.gite8aecf0.el5,couchdb-0.10.2-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/erlang-oauth-0-0.4.gite8aecf0.el5,couchdb-0.10.2-4.el5

Comment 20 Fedora Update System 2010-05-28 06:59:22 UTC
erlang-oauth-0-0.4.gite8aecf0.fc13,couchdb-0.10.2-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/erlang-oauth-0-0.4.gite8aecf0.fc13,couchdb-0.10.2-4.fc13

Comment 21 Fedora Update System 2010-05-28 17:59:12 UTC
erlang-oauth-0-0.4.gite8aecf0.fc11, couchdb-0.10.2-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-oauth couchdb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/erlang-oauth-0-0.4.gite8aecf0.fc11,couchdb-0.10.2-4.fc11

Comment 22 Fedora Update System 2010-05-28 17:59:26 UTC
erlang-oauth-0-0.4.gite8aecf0.fc13, couchdb-0.10.2-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-oauth couchdb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/erlang-oauth-0-0.4.gite8aecf0.fc13,couchdb-0.10.2-4.fc13

Comment 23 Fedora Update System 2010-05-28 18:07:48 UTC
erlang-oauth-0-0.4.gite8aecf0.fc12, couchdb-0.10.2-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-oauth couchdb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/erlang-oauth-0-0.4.gite8aecf0.fc12,couchdb-0.10.2-4.fc12

Comment 24 Fedora Update System 2010-05-29 00:18:13 UTC
erlang-oauth-0-0.4.gite8aecf0.el5, couchdb-0.10.2-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-oauth couchdb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/erlang-oauth-0-0.4.gite8aecf0.el5,couchdb-0.10.2-4.el5

Comment 25 Fedora Update System 2010-06-01 18:12:18 UTC
erlang-oauth-0-0.4.gite8aecf0.fc11, couchdb-0.10.2-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2010-06-01 18:18:42 UTC
erlang-oauth-0-0.4.gite8aecf0.fc13, couchdb-0.10.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2010-06-01 18:23:52 UTC
erlang-oauth-0-0.4.gite8aecf0.fc12, couchdb-0.10.2-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2010-06-14 21:53:48 UTC
erlang-oauth-0-0.4.gite8aecf0.el5, couchdb-0.10.2-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.